#include <iostream>

using namespace std;
int izracunajCifru(int a)
{
    int b=0;
    if(a>=5)
    {
        a=a-5;
        b=b+1;
        if(a==0)
        {
            return b;
        }
    }
    if(a>=2)
    {
        a=a-2;
        b=b+1;
        if(a==0)
        {
            return b;
        }
        if(a==2)
        {
            b=b+1;
            return b;
        }
        if(a==1)
        {
            b=b+1;
            return b;
        }
    }
    b=b+1;
    return b;
}
int main()
{
    long long unsigned int V,i;
    cin >> V;
    int brojac=0,cifra,br;
    for(i=1;i<V;)
    {
        cifra=(V%(10*i))/i;
        br=izracunajCifru(cifra);
        brojac=brojac+br;
        i=i*10;
    }
    cout << brojac;
    return 0;
}